.products-filter {
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 97;
    background: #fff none;
    width: 100%;
    height: -webkit-calc(100% - 64px);
    height: -moz-calc(100% - 64px);
    height: calc(100% - 64px);
    overflow-y: auto;
    visibility: hidden;
    opacity: 0;
    -webkit-transform: translateX(-100%);
    -ms-transform: translateX(-100%);
    transform: translateX(-100%);
    -webkit-transition: all .2s;
    transition: all .2s;
}

.products-filter.active {
    -webkit-transform: translateX(0);
    -ms-transform: translateX(0);
    transform: translateX(0);
    visibility: visible;
    opacity: 1;
}

.products-filter-head {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px 16px;
    box-shadow: 0 4px 4px rgba(0, 0, 0, .1);
}

.products-filter-title {
    font-weight: 500;
    font-size: 14px;
    line-height: 16px;
    color: #333;
    position: relative;
}

.products-filter-close {
    background: transparent none;
    padding: 0;
    border: 0;
    font-size: 14px;
    line-height: 16px;
    font-weight: 700;
    color: #207BC1;
}

.products-filter-body {
    padding: 20px 16px;
}

.products-filter-form {
    display: flex;
    flex-wrap: wrap;
    margin: -16px -6px 0;
}

.products-filter-form.active {
    max-height: none;
}

.products-filter-col {
    flex: 0 0 auto;
    max-width: 100%;
    padding: 0 6px;
    margin: 16px 0 0;
}

.products-filter-full {
    width: 100%;
}

.products-filter-half {
    width: 50%;
}

.products-filter-txt {
    display: block;
    width: 100%;
    height: 40px;
    border: 1px solid #BDBDBD;
    border-radius: 2px;
    font-size: 14px;
    line-height: 16px;
    padding: 12px;
}

.products-filter-select {
    position: relative;
}

.products-filter-select::before {
    content: '';
    border: solid #BDBDBD;
    border-width: 0 1px 1px 0;
    display: inline-block;
    padding: 3px;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
    position: absolute;
    top: 16px;
    right: 12px;
}

.products-filter-select select {
    background: transparent none;
    z-index: 1;
    width: 100%;
    height: 40px;
    border: 1px solid #BDBDBD;
    font-size: 14px;
    line-height: 16px;
    padding: 10px 24px 10px 10px;
    border-radius: 2px;
    position: relative;
    -webkit-appearance: none;
    -moz-appearance: none;
    outline: 0;
}

.products-filter-clearfix {
    margin: 16px 0 0;
}

.products-filter-clearfix::after {
    content: '';
    display: block;
    clear: both;
}

.products-filter-more {
    position: relative;
    text-decoration: underline;
    background: transparent none;
    border: 0;
    font-size: 14px;
    line-height: 16px;
    color: #333;
    float: right;
    padding: 0 28px 0 0;
}

.products-filter-more::before {
    content: '';
    border: solid #333;
    border-width: 0 1px 1px 0;
    display: inline-block;
    padding: 3px;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
    position: absolute;
    top: 4px;
    right: 12px;
}

.products-filter-more.active::before {
    -webkit-transform: rotate(-135deg);
    -ms-transform: rotate(-135deg);
    transform: rotate(-135deg);
    top: 8px;
}

.products-filter-submit {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 40px;
    background: #207BC1 none;
    border-radius: 2px;
    border: 0;
    padding: 0;
    margin: 32px 0 0;
    color: #fff;
    font-size: 14px;
    line-height: 16px;
    font-weight: 700;
}